cdac.medinfo.model

## Class Problems

- java.lang.Object
- - cdac.medinfo.model.Problems

-     public class Problems
      extends java.lang.Object

  This class specify Problems Section Details. This section lists and describes all relevant clinical problems at the time the summary is generated. At a minimum, all pertinent current and historical problems should be listed.

  This class has the following attributes:

  1. Condition (String)
  2. Effective Dates (EffectiveDateTime)
  3. Condition Status (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Problems()` Constructs an object of Problems.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCondition()` Return the Condition.
    `java.lang.String` | `getConditionStatus()` Returns the Condition Status.
    `EffectiveDateTime` | `getEffectiveDates()` Returns the Effective Dates of Problem or Condition.
    `void` | `setCondition(java.lang.String condition)` Sets the Condition.
    `void` | `setConditionStatus(java.lang.String conditionStatus)` Sets the Condition Status.
    `void` | `setEffectiveDates(EffectiveDateTime effectiveDates)` Sets Effective Dates of Problem or Condition.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Problems

          public Problems()

      Constructs an object of Problems.

  - ### Method Detail

    - #### getCondition

          public java.lang.String getCondition()

      Return the Condition.
      Returns:
        the condition

    - #### setCondition

          public void setCondition(java.lang.String condition)

      Sets the Condition.
      Parameters:
        `condition` - Specifies the Condition.

    - #### getEffectiveDates

          public EffectiveDateTime getEffectiveDates()

      Returns the Effective Dates of Problem or Condition.
      Returns:
        the effectiveDates

    - #### setEffectiveDates

          public void setEffectiveDates(EffectiveDateTime effectiveDates)

      Sets Effective Dates of Problem or Condition.
      Parameters:
        `effectiveDates` - Specifies the timing of the concern (e.g. the interval of time for which the problem is a concern).

    - #### getConditionStatus

          public java.lang.String getConditionStatus()

      Returns the Condition Status.
      Returns:
        the conditionStatus

    - #### setConditionStatus

          public void setConditionStatus(java.lang.String conditionStatus)

      Sets the Condition Status.
      Parameters:
        `conditionStatus` - Specifies the Condition Status.